package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 维修任务对象 als_maintenance_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_maintenance_task_t")
public class MaintenanceTask extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 架次号
     */
    private Long sortieNo;

    /**
     * 机号
     */
    private Integer aircraftNo;

    /**
     * 所属系统
     */
    private String systemName;

    /**
     * 单位
     */
    private String unitName;

    /**
     * 处理人
     */
    private String operator;

    /**
     * 故障部件
     */
    private String faultPart;

    /**
     * 维修建议
     */
    private String proposal;

    /**
     * 维修时间
     */
    private Date handlerDate;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;
}
