package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 定检任务记录对象 als_sm_task_record_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_sm_task_record_t")
public class SmTaskRecord extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 机号
     */
    private String aircraftNo;

    /**
     * 机型
     */
    private String aircraftModel;

    /**
     * 任务名称
     */
    private Date name;

    /**
     * 任务编码
     */
    private String code;

    /**
     * 维修时间
     */
    private Date endTime;

    /**
     * 剩余时间
     */
    private String remainTime;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 维修内容
     */
    private String contents;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
