package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FalseAlarm;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 虚警抑制业务对象 als_false_alarm_t
 *
 * @author wgk
 * @date 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FalseAlarm.class, reverseConvertGenerate = false)
public class FalseAlarmBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号
     */
    @NotBlank(message = "机号不能为空")
    private String aircraftNo;

    /**
     * 状态
     */
    private String status;


}
