package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FaultDiagnosis;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障诊断业务对象 als_fault_diagnosis_t
 *
 * @author wgk
 * @date 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultDiagnosis.class, reverseConvertGenerate = false)
public class FaultDiagnosisBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号
     */
    @NotBlank(message = "机号不能为空")
    private String aircraftNo;

    /**
     * 状态（1正常）
     */
    @NotBlank(message = "状态（1正常）不能为空")
    private String status;


}
