package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.PreProcessing;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 预处理业务对象 als_pre_processing_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PreProcessing.class, reverseConvertGenerate = false)
public class PreProcessingBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 架次号
     */
    @NotBlank(message = "架次号不能为空")
    private String sortieNo;

    /**
     * 机号
     */
    @NotBlank(message = "机号不能为空")
    private String aircraftNo;

    /**
     * 文件Id
     */
    @NotNull(message = "文件Id不能为空")
    private Long ossId;

    /**
     * 状态
     */
    @NotBlank(message = "状态不能为空")
    private String status;


}
