package org.eco.als.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SmTaskRecord;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 定检任务记录业务对象 als_sm_task_record_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SmTaskRecord.class, reverseConvertGenerate = false)
public class SmTaskRecordBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机号
     */
    @NotBlank(message = "机号不能为空")
    private String aircraftNo;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftModel;

    /**
     * 任务名称
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date name;

    /**
     * 任务编码
     */
    private String code;

    /**
     * 维修时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 剩余时间
     */
    private String remainTime;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 维修内容
     */
    private String contents;

    /**
     * 状态（1正常）
     */
    private String status;


}
